MP4(3)

NAME

MP4GetSceneProfileLevel - Gets the minimum MPEG-4 scene graph profile and level required to render the contents of the file

SYNTAX

#include <mp4.h>

u_int8_t MP4GetSceneProfileLevel(
        MP4FileHandle hFile
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

RETURN VALUES

The current scene graph profile/level for the file. See MP4SetSceneProfileLevel() for known values.

DESCRIPTION

MP4GetSceneProfileLevel returns the minumum profile/level of MPEG-4 scene graph support necessary to render the contents of the file.

SEE ALSO

MP4(3) MP4SetSceneProfileLevel(3)